SDL_Finger(3type)

NAME
SDL_Finger - Data about a single finger in a multitouch event.

HEADER FILE
Defined in SDL3/SDL_touch.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_Finger
{
    SDL_FingerID id;  /**< the finger ID */
    float x;  /**< the x-axis location of the touch event, normalized (0...1) */
    float y;  /**< the y-axis location of the touch event, normalized (0...1) */
    float pressure; /**< the quantity of pressure applied, normalized (0...1) */
} SDL_Finger;

DESCRIPTION
Each touch even is a collection of fingers that are simultaneously in contact with the touch device (so a "touch" can be a "multitouch," in reality), and this struct reports details of the specific fingers.

AVAILABILITY
This struct is available since SDL 3.0.0.

SEE ALSO
SDL_GetTouchFinger(3)